typestrict.aidocs
APIDatasets

List a dataset's sources

GET
/v1/datasets/{id}/sources

The tables, documents or skipped files of a dataset, a page at a time, in display order.

Authorization

api_key
headerAuthorizationBearer <token>

An API key from Settings (ts_...).

Path Parameters

id*string
Formatuuid
kind*string
limit*|
Formatint64
cursor*string|null

Response Body

application/json
  1. response

One page of a list, newest first: next is the cursor of the following page, null on the last.

data*array<>
next?string|null
curl -X GET "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/sources"
{  "data": [    {      "chars": 0,      "detail": "string",      "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "string",      "name": "string",      "pages": 0,      "path": "string",      "pii_counts": {},      "preview": "string",      "profile": {},      "reason": "string",      "row_count": 0    }  ],  "next": "string"}